package com.xzzn.ems.domain.vo;


import com.fasterxml.jackson.annotation.JsonFormat;

import java.util.Date;

/**
 * 入参-时间
 *
 */
public class DateSearchRequest {

    /** 开始时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date startDate;

    /** 结束时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date endDate;

    private String siteId;

    private String deviceId;

    private String dataType;

    private String clusterDeviceId;

    public Date getStartDate() {
        return startDate;
    }

    public void setStartDate(Date startDate) {
        this.startDate = startDate;
    }

    public Date getEndDate() {
        return endDate;
    }

    public void setEndDate(Date endDate) {
        this.endDate = endDate;
    }

    public String getSiteId() {
        return siteId;
    }

    public void setSiteId(String siteId) {
        this.siteId = siteId;
    }

    public String getDeviceId() {
        return deviceId;
    }

    public void setDeviceId(String deviceId) {
        this.deviceId = deviceId;
    }

    public String getDataType() {
        return dataType;
    }

    public void setDataType(String dataType) {
        this.dataType = dataType;
    }

    public String getClusterDeviceId() {
        return clusterDeviceId;
    }

    public void setClusterDeviceId(String clusterDeviceId) {
        this.clusterDeviceId = clusterDeviceId;
    }
}
